#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLambdaBytes = void 0;
const lambdaFunctionPacker_service_1 = require("./lambdaFunctionPacker.service");
const lambdaFunctionLibrary_1 = require("./lambdaFunctionLibrary");
(function compileLambdaFunction() {
    return __awaiter(this, void 0, void 0, function* () {
        const rpc = process.argv[2];
        const governanceProxyContractAddress = process.argv[3];
        const lambdaFunctionName = process.argv[4];
        var args = process.argv.slice(5);
        const lambdaFunctionParameters = args;
        if (!rpc || !governanceProxyContractAddress || !lambdaFunctionName) {
            (0, lambdaFunctionLibrary_1.getListAvailableFunctions)();
            return console.info("Usage: proposal-data-maker <rpc_url> <governance_proxy_contract_address> <lambda_function_name> <parameters...>");
        }
        // Turn strings into JSON in parameters
        for (let i = 0; i < args.length; i++) {
            try {
                const fixedJSON = args[i].replace(/(['"])?([a-z0-9A-Z_]+)(['"])?:/g, '"$2": ');
                const parsedParam = JSON.parse(fixedJSON);
                args[i] = parsedParam;
            }
            catch (e) { }
        }
        // Get the lambda function
        const lambdaFunction = yield (0, lambdaFunctionPacker_service_1.getLambdaFunction)(rpc, governanceProxyContractAddress, lambdaFunctionName, lambdaFunctionParameters);
        console.log(lambdaFunction);
    });
})();
const createLambdaBytes = (rpc, governanceProxyContractAddress, lambdaFunctionName, lambdaFunctionParameters) => (0, lambdaFunctionPacker_service_1.getLambdaFunction)(rpc, governanceProxyContractAddress, lambdaFunctionName, lambdaFunctionParameters);
exports.createLambdaBytes = createLambdaBytes;
